## org.eclipse.emf.cdo.common.revision
Interface CDORevisionFactory

    public interface CDORevisionFactory

Since:
  2.0

Method Summary
`CDORevision` `createRevision(CDODataInput in)`
`CDORevision` `createRevision(org.eclipse.emf.ecore.EClass eClass, CDOID id)`

Method Detail

### createRevision

    CDORevision createRevision(org.eclipse.emf.ecore.EClass eClass,
                               CDOID id)

### createRevision

    CDORevision createRevision(CDODataInput in)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.